function [varargout]=convert_double(varargin)

for e1=1:nargin;

    ttype=class(varargin{e1});
    
    if ~isequal(ttype, 'double')
        varargout{e1}=double(varargin{e1});
    else
        varargout{e1}=varargin{e1};
    end
    
end
